> ## Documentation Index
> Fetch the complete documentation index at: https://developer.utgl.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Simulate Authorization

> Simulate a card authorization on a given card



## OpenAPI

````yaml /issuing/api-reference/openapi.yaml post /cards/simulate-authorization
openapi: 3.1.0
info:
  title: API Reference
  version: '1.0'
servers:
  - url: https://access.utgl.io/v1
  - url: https://sandbox.access.utgl.io/v1
security:
  - Basic: []
  - Bearer: []
tags:
  - name: Accounts
  - name: Transactions
  - name: Card Accounts
  - name: Card Products
  - name: Cards
  - name: Digital Custody
  - name: Fee
  - name: Payout
paths:
  /cards/simulate-authorization:
    post:
      tags:
        - Card Transaction Simulator
      summary: Simulate Authorization
      description: Simulate a card authorization on a given card
      operationId: simulateAuthorization
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - cardAccountId
                - cardId
                - amount
                - currency
              properties:
                cardAccountId:
                  type: string
                  example: c8e2752d-6bd7-4244-a9f6-580f5640eaeb
                  description: >-
                    The `cardAccountId` field specifies the card account
                    containing the card
                cardId:
                  type: string
                  example: 8188d920-2c17-4aba-aa24-6a25f8c12ddb
                  description: >-
                    The `cardId` field specifies the card to simulate
                    authorization on
                amount:
                  type: number
                  example: 100
                  description: The amount to authorize on the card in `currency`
                currency:
                  type: string
                  minLength: 3
                  maxLength: 3
                  description: >
                    Currency of simulated. Must be a valid ISO 4217 currency
                    code. Currently only HKD, USD, EUR are supported.
                  enum:
                    - HKD
                    - USD
                    - EUR
                opts:
                  type: object
                  description: options
                  properties:
                    countryCode:
                      type: string
                      example: 344
                      description: >-
                        The `countryCode` field specifies the country code to
                        simulate card transaction
                    purchaseAmount:
                      type: number
                      example: 100
                      description: >-
                        The `purchaseAmount` field specifies the purchase amount
                        to simulate card transaction
                    purchaseCurrency:
                      type: string
                      minLength: 3
                      maxLength: 3
                      enum:
                        - HKD
                        - USD
                        - EUR
                      description: >-
                        The `purchaseCurrency` field specifies the purchase
                        currency to simulate card transaction
                    actionType:
                      type: string
                      description: >-
                        action type of simulated. Currently only PURCHASE, ATM
                        are supported.
                      enum:
                        - PURCHASE
                        - ATM
                    transactionType:
                      type: string
                      description: >-
                        transaction type of simulated. Currently only PURCHASE,
                        ATM, REFUND are supported.
                      enum:
                        - PURCHASE
                        - ATM
                        - REFUND
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  cardTransactionId:
                    type: string
                    example: 8188d920-2c17-4aba-aa24-6a25f8c12ddb
                    description: The ID of the simulated card transaction
components:
  securitySchemes:
    Basic:
      type: http
      scheme: basic
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````